MAIN
    DEFINE rowNo INTEGER
    DEFINE handler om.SaxDocumentHandler
    IF NOT fgl_report_loadCurrentSettings("DynamicTable.4rp") THEN
        EXIT PROGRAM
    END IF
    -- display as svg
    CALL fgl_report_selectDevice("SVG")
    CALL fgl_report_selectPreview(TRUE)
    LET handler=fgl_report_commitCurrentSettings()
    START REPORT r_dynamic_table TO XML HANDLER handler
    FOR rowNo=1 TO 100
        OUTPUT TO REPORT r_dynamic_table(rowNo)
    END FOR    
    FINISH REPORT r_dynamic_table
END MAIN

REPORT r_dynamic_table(rowNo)
    DEFINE rowNo,colNo INTEGER
    DEFINE titCol String
ORDER EXTERNAL BY rowNo

FORMAT

ON EVERY ROW    
    IF rowNo==1 THEN
        FOR colNo=1 to 10
          LET titCol = "Title "||colNo
          PRINT titCol
        END FOR  
    END IF  
    FOR colNo=1 TO 10
        PRINT colNo,rowNo
    END FOR
END REPORT
